Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.mdr/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.mdr
Class MDRManager

    java.lang.Object
      org.netbeans.api.mdr.MDRManager

    public abstract class MDRManager

extends Object

Entry point to the metadata repositories. Use `getDefault()` method to obtain the default instance.

Constructor Summary
`MDRManager()`

Method Summary
`static MDRManager` | `getDefault()` Returns the default instance of MDRManager.
`abstract MDRepository` | `getDefaultRepository()` Returns the default metadata repository.
`abstract MDRepository` | `getRepository(String name)` Returns metadata repository of a given name.
`abstract String[]` | `getRepositoryNames()` Returns list of names of all available metadata repositories.
`void` | `shutdownAll()` Should be called at the end of the MDR session.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MDRManager

    public MDRManager()

Method Detail

### getDefaultRepository

    public abstract MDRepository getDefaultRepository()

  Returns the default metadata repository.

  Returns:
    default metadata repository or `null` if there is no default metadata repository.

### getRepository

    public abstract MDRepository getRepository(String name)

  Returns metadata repository of a given name.

  Parameters:
    `name` - name of metadata repository
  Returns:
    metadata repository of a given name or `null` if the repository of the given name does not exist.

### getRepositoryNames

    public abstract String[] getRepositoryNames()

  Returns list of names of all available metadata repositories.

  Returns:
    list of names of all available metadata repositories

### shutdownAll

    public void shutdownAll()

  Should be called at the end of the MDR session. Does all the needed clean-up by calling `MDRepository.shutdown()` method on each of the repositories.

### getDefault

    public static MDRManager getDefault()

  Returns the default instance of MDRManager.

  Returns:
    Default MDR manager.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.mdr/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.